aboutsummaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorPjotr Prins2020-12-15 12:55:44 +0000
committerPjotr Prins2020-12-15 12:55:44 +0000
commit1dc4e101ce0310bbf63abd0ad3924c4e50899690 (patch)
tree730acd5850a2205d39311ceee4870db289835084 /test
parent9352797dba11ccfdd7aeba04ce8c577c142f958f (diff)
downloadpangemma-1dc4e101ce0310bbf63abd0ad3924c4e50899690.tar.gz
Added a test for -lmm 9
Diffstat (limited to 'test')
-rwxr-xr-xtest/dev_test_suite.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/test/dev_test_suite.sh b/test/dev_test_suite.sh
index 903c72f..676e0b3 100755
--- a/test/dev_test_suite.sh
+++ b/test/dev_test_suite.sh
@@ -82,6 +82,23 @@ testBXDLMMLikelihoodRatio() {
assertEquals "3088458213" `perl -nle 'foreach $x (split(/\s+/,$_)) { $sum += sprintf("%.2f",(substr($x,,0,6))) } END { printf "%.0f",$sum }' $outfn`
}
+testBXDLMM9LikelihoodRatio() {
+ # Test for GeneNetwork output
+ outn=BXD_LMM_LR
+ $gemma $gemmaopts -g ../example/BXD_geno.txt.gz \
+ -p ../example/BXD_pheno.txt \
+ -c ../example/BXD_covariates2.txt \
+ -a ../example/BXD_snps.txt \
+ -k ./output/BXD.cXX.txt \
+ -lmm 9 -no-check -maf 0.1 \
+ -o $outn
+ assertEquals 0 $?
+
+ outfn=output/$outn.assoc.txt
+ assertEquals "80498" `wc -w < $outfn`
+ assertEquals "3088496565" `perl -nle 'foreach $x (split(/\s+/,$_)) { $sum += sprintf("%.2f",(substr($x,,0,6))) } END { printf "%.0f",$sum }' $outfn`
+}
+
testCenteredRelatednessMatrixissue188() {
outn=issue188
rm -f output/$outn.*